<?php

namespace App\Http\Controllers;

use App\Interfaces\IDashboard;

class DashboardController extends Controller
{
    public $dashboard;
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(IDashboard $dashboard)
    {
        $this->dashboard = $dashboard;
    }

    public function dashboardData($client_slug)
    {
        $branch_slug = request()->branch_slug;
       // $user_id = request()->user_id;

        $response = $this->dashboard->dashboardData($client_slug, $branch_slug);
        //$graphReport = 
       
        //$data['survey'] = $response->survey->data;                                                                
      

        return $this->sendHttpStatusResponse($response, $response->status_code);
    }

    public function graphData($client_slug)
    {
        $branch_slug = request()->branch_slug;
        $response = $this->dashboard->graphData($client_slug, $branch_slug);
        $data['graph'] = $response->body->data;
        return $this->sendHttpStatusResponse($data, $response->status_code);

    }
}
