<?php

namespace App\Interfaces;

interface ICompany extends IBase
{

    public function allCompanies();

    public function createClient(array $data);

    public function fetchCompany($slug);

    public function updateClient(array $data, $client_slug);

    public function disableCompany($company_slug);

    public function enableCompany($company_slug);

    public function companyBranch($company_slug);

    public function icons();

    public function clientIcons(string $client_slug);

    public function backgrounds();

    public function clientBackgrounds(string $client_slug);

}