<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PortalMenu extends Model
{


    public function sub_menus()
    {
        return $this->hasMany('App\Models\PortalMenu', 'parent_id', 'id')
            ->where('parent_id', '<>', null)
            ->where("active_flag", 1)
            ->select(
                "route_name",
                "text",
                "link_flag",
                "parent_id",
                "serial_no"
            )
            ->with('sub_menus');
    }
}
