<?php


namespace App\Traits;



use Illuminate\Http\Request;

trait RequestTrait
{

    protected  function jsonRequestDataToFormData(Request $request)
    {
        $multipart = [];
        foreach ($request->all() as $key => $value) {
            if ($request->hasFile($key)) {
                $file = $request->file($key);
                $image_path  = $file->getPathname();
                $multipart[] = [
                    "name" => $key,
                    "contents" => fopen($image_path, 'r'),
                    "filename" => $file->getClientOriginalName()
                ];
            } else {
                $multipart[] = [
                    "name" => $key,
                    "contents" => $value,
                ];
            }
        }

        return $multipart;
    }

    // protected  function jsonRequestDataToFormData(Request $request)
    // {
    //     $multipart = [];
    //     foreach ($request->all() as $key => $value) {
    //         if ($request->hasFile($key)) {
    //             $file = $request->file($key);
    //             $image_path  = $file->getPathname();
    //             $multipart[] = [
    //                 "name" => $key,
    //                 "contents" => fopen($image_path, 'r'),
    //                 "filename" => $file->getClientOriginalName()
    //             ];
    //         } else {
    //             $multipart[] = [
    //                 "name" => $key,
    //                 "contents" => $value,
    //             ];
    //         }
    //     }

    //     return $multipart;
    // }
}
